<?php

namespace App\Sets\Model;
use App\Traits\Models;
use \Illuminate\Database\Eloquent\Model;

class Keywords extends Model
{
    use Models;
    protected $table = "myp_sets_kw";
    const fields = [
        "id","kw_id","kw_name"
    ];

    public $timestamps = false;

    protected $fillable = [
        "kw_id"
    ];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
        if (isset($attributes['kw_id']) && $attributes['kw_id'] > 0) {
            $id = $attributes['kw_id'];
            $this->kw_name = \App\Kw\Model\Keywords::where("id",$id)->first()->kw_name;
        }
        $this->beforeValidationOnCreate();
    }

    public function beforeValidationOnCreate()
    {
        $this->is_del = 0;
    }

}